{
*******************************************************************
*******************************************************************
**                  Dev+GNU Pascal                               **
**                                                               **
** TestComplet.pas: Alternative code completion unit for the IDE.**
**                                                               **
** Copyright April 2004, Professor Abimbola A Olowofoyeku        **
** UNDER THE GNU GENERAL PUBLIC LICENSE. See Copying.txt before  **
** modifying sources and binaries of Dev+GNU Pascal              **
**                                                               **
**                                                               **
*******************************************************************
*******************************************************************
}
unit TestComplet;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TTestCompleForm = class(TForm)
    ListBox1: TListBox;
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    OkBitBtn: TBitBtn;
    CancelBitBtn: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure CancelBitBtnClick(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    SelString : String;
    Procedure DisplayItem;
  end;

var
  TestCompleForm: TTestCompleForm;

implementation

{$R *.DFM}

USES Main;

procedure TTestCompleForm.BitBtn1Click(Sender: TObject);
begin
   Close;
end;

Procedure TTestCompleForm.DisplayItem;
Var s: String;
Begin
   s := ListBox1.Items[ListBox1.ItemIndex];
   FormatCompletionString (s);
   SelString := s;
   Memo1.Text := s;
End;

procedure TTestCompleForm.FormActivate(Sender: TObject);
begin
   ListBox1.ItemIndex := 0;
   DisplayItem;
end;

procedure TTestCompleForm.ListBox1Click(Sender: TObject);
begin
   DisplayItem;
end;

procedure TTestCompleForm.CancelBitBtnClick(Sender: TObject);
begin
    SelString := '';
    Inherited;
end;

procedure TTestCompleForm.ListBox1DblClick(Sender: TObject);
begin
   DisplayItem;
   BitBtn1Click (Sender);
end;

end.
